# LocalizedMessage.ReplacedPlaceholder (ShopChest 1.12 API)
Date: 2017-06-08

de.epiceric.shopchest.language

## Class LocalizedMessage.ReplacedPlaceholder

- java.lang.Object
- - de.epiceric.shopchest.language.LocalizedMessage.ReplacedPlaceholder

Enclosing class:
  LocalizedMessage

    public static class LocalizedMessage.ReplacedPlaceholder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ReplacedPlaceholder(Placeholder placeholder, String replace)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Placeholder` `getPlaceholder()`
`String` `getReplace()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReplacedPlaceholder

    public ReplacedPlaceholder(Placeholder placeholder,
                               String replace)

### Method Detail

#### getReplace

    public String getReplace()

Returns:
  String which will replace the placeholder

#### getPlaceholder

    public Placeholder getPlaceholder()

Returns:
  Placeholder that will be replaced